> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/accounts/{account-id}/audience-segments/search

> Returns a list of segments that match the provided filters. If present, the filters are AND'ed together when applied.



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json post /preview/retail-media/accounts/{account-id}/audience-segments/search
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/accounts/{account-id}/audience-segments/search:
    post:
      tags:
        - Audience
      summary: /preview/retail-media/accounts/{account-id}/audience-segments/search
      description: >-
        Returns a list of segments that match the provided filters. If present,
        the filters are AND'ed together when applied.
      operationId: searchAudienceSegments
      parameters:
        - name: account-id
          in: path
          description: Account Id
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            The number of elements to be returned. The default is 50 and the
            maximum is 500.
          schema:
            maximum: 500
            minimum: 0
            type: integer
            format: int32
            default: 50
        - name: offset
          in: query
          description: The (zero-based) offset into the collection. The default is 0.
          schema:
            type: integer
            format: int32
            default: 0
      requestBody:
        description: Segment search filters.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RmAudienceSegmentSearchInputV1'
        required: true
        x-bodyName: request
      responses:
        '200':
          description: Success or partial success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RmAudienceSegmentEntityV1RmAudienceSegmentSearchMetadataV1ListResponse
      security:
        - oauth:
            - RetailMedia_Audience_Read
components:
  schemas:
    RmAudienceSegmentSearchInputV1:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/RmAudienceSegmentSearchEntityV1Resource'
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value.
    RmAudienceSegmentEntityV1RmAudienceSegmentSearchMetadataV1ListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/RmAudienceSegmentEntityV1Resource'
          nullable: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          nullable: true
          readOnly: true
        meta:
          $ref: '#/components/schemas/RmAudienceSegmentSearchMetadataV1'
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          nullable: true
          readOnly: true
      description: >-
        A top-level object that encapsulates a Criteo API response for several
        entities and metadata
    RmAudienceSegmentSearchEntityV1Resource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/RmAudienceSegmentSearchEntityV1'
        type:
          type: string
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        value
    RmAudienceSegmentEntityV1Resource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/RmAudienceSegmentEntityV1'
        id:
          type: string
          description: Id of the entity
          nullable: true
        type:
          type: string
          nullable: true
      description: A class that represents a domain entity exposed by an API
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    RmAudienceSegmentSearchMetadataV1:
      type: object
      properties:
        limit:
          type: integer
          description: Max item of the current page
          format: int32
          nullable: true
        offset:
          type: integer
          description: Number of item to skip
          format: int32
          nullable: true
        totalItems:
          type: integer
          description: Total number of items
          format: int32
          nullable: true
      description: Metadata for the audience segment search response.
      nullable: true
    RmAudienceSegmentSearchEntityV1:
      type: object
      properties:
        audienceSegmentIds:
          type: array
          items:
            type: string
          description: List of segment ids
        audienceSegmentTypes:
          type: array
          items:
            enum:
              - Unknown
              - ContactList
              - Events
            type: string
          description: List of segment types
        retailerIds:
          type: array
          items:
            type: string
          description: List of retailer ids
      description: >-
        Available filters to perform a search on audience segments. If present,
        the filters are AND'ed together when applied.
    RmAudienceSegmentEntityV1:
      type: object
      properties:
        accountId:
          type: string
          description: Account associated to the segment
          nullable: true
        channels:
          type: array
          items:
            enum:
              - Unknown
              - Onsite
              - Offsite
            type: string
          description: Channels associated to the segment (read-only)
          nullable: true
        contactList:
          $ref: '#/components/schemas/RmContactListV1'
        createdAt:
          type: string
          description: ISO-8601 timestamp in UTC of segment creation (read-only)
          format: date-time
          nullable: true
        createdById:
          type: string
          description: User that created the segment
          nullable: true
        description:
          type: string
          description: Description of the segment
          nullable: true
        events:
          $ref: '#/components/schemas/RmEventsV1'
        name:
          type: string
          description: Name of the segment
          nullable: true
        retailerId:
          type: string
          description: Retailer  associated to the segment
          nullable: true
        type:
          enum:
            - Unknown
            - ContactList
            - Events
          type: string
          description: Type of segment (read-only)
          nullable: true
        updatedAt:
          type: string
          description: ISO-8601 timestamp in UTC of segment update (read-only)
          format: date-time
          nullable: true
      description: Set of rules that defines specific people to target.
      nullable: true
      x-criteo-canonical:
        infoType: entity
        name: RetailMediaAudienceSegment
        version: v1
    RmContactListV1:
      type: object
      properties:
        identifierType:
          enum:
            - Unknown
            - Email
            - UserIdentifier
            - IdentityLink
            - CustomerId
            - PhoneNumber
          type: string
          description: Indicates contact list identifier's type
          nullable: true
        isReadOnly:
          type: boolean
          description: Is the segment read-only
          nullable: true
        sharingStatus:
          enum:
            - Unknown
            - NotShared
            - SharedWithAll
            - SharedWithDemandAccounts
          type: string
          description: Indicates if the contact list is shared with other accounts
          nullable: true
      description: Settings to target users with your contact lists.
      nullable: true
    RmEventsV1:
      type: object
      properties:
        brandIds:
          type: array
          items:
            type: string
          description: The list of brand ids
          nullable: true
        categoryIds:
          type: array
          items:
            type: string
          description: The list of category ids
          nullable: true
        lookbackDays:
          enum:
            - Unknown
            - Last7Days
            - Last14Days
            - Last30Days
            - Last45Days
            - Last60Days
            - Last90Days
            - Last120Days
            - Last150Days
            - Last180Days
          type: string
          description: The number of days to look back
          nullable: true
        maxPrice:
          type: number
          description: Maximum price of the products
          format: double
          nullable: true
        minPrice:
          type: number
          description: Minimum price of the products
          format: double
          nullable: true
        shopperActivity:
          enum:
            - Unknown
            - View
            - Buy
            - AddToCart
          type: string
          description: Reach people who performed specific action
          nullable: true
      description: Settings to target users based on their behavior
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````